[Twisted-Python] TLS broken with twisted.words.protocols.jabber

Jack Moffitt jack at chesspark.com
Thu Nov 20 19:00:33 EST 2008

I would like to propose that #3463
(http://twistedmatrix.com/trac/ticket/3463) be additionally committed
to the 8.1 branch and any other branches that still get point
releases.  It is a pretty critical workaround which fixes the fact
that recent OpenSSL libraries cannot connect to Java based services.
This means that most of the packaged versions of Twisted cannot talk
to Google Talk or any Tigase or Openfire XMPP servers.  Since
packagers are often reluctant to upgrade very far in a particular
distribution, I would like to get bug fix releases out for Twisted
8.1, etc, so that we have some hope that this problem will go away as
soon as possible.


More information about the Twisted-Python mailing list